# eric3.Project.DebuggerPropertiesDialog

Module implementing a dialog for entering project specific debugger settings.

### Classes

DebuggerPropertiesDialog | Class implementing a dialog for entering project specific debugger settings.

### Functions

None

## DebuggerPropertiesDialog

Class implementing a dialog for entering project specific debugger settings.

### Derived from

DebuggerPropertiesForm

### Methods

DebuggerPropertiesDialog | Constructor
selectDebugClient | Private slot to handle the Debug Client selection.
selectInterpreter | Private slot to handle the interpreter selection.
storeData | Public method to store the entered/modified data.

### DebuggerPropertiesDialog (Constructor)

DebuggerPropertiesDialog(project, parent = None, name = None, modal = 0, fl = 0)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

### DebuggerPropertiesDialog.selectDebugClient

selectDebugClient()

Private slot to handle the Debug Client selection.

### DebuggerPropertiesDialog.selectInterpreter

selectInterpreter()

Private slot to handle the interpreter selection.

### DebuggerPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up